{{ stylesheet_link("/css/jobs.show.css") }}
{# 自定义流程得前半部分 #}
<div class="overflow_div">
    <form id="form" action="/jobs/test/" method="post">
        <input type="hidden" name="status" {% if status is defined %} value="{{ status }}" {% endif %}/>
        <input type="hidden" name="next_status" id="next_status"/>
        {# 自定义流程得渲染form #}
        <table border="1" cellspacing="0.8" cellpadding="0.8" style="width:100%;"><caption><p style="text-align: center;">物料采购单</p></caption><tbody><tr><td style="width: 30%;">物料名称</td><td style="width: 100%;">{{form['defined_materials_code']}}</td></tr><tr><td>数量</td><td>{{form['defined_qty']}}</td></tr><tr><td>采购单价 <span style="color:#ff0000;">*</span></td><td>{{form['defined_price']}}</td></tr><tr><td>采购总价</td><td>{{form['defined_total']}}</td></tr><tr><td>供应商 <span style="color:#ff0000;">*</span></td><td>{{form['defined_provider']}}</td></tr><tr><td>托盘数 <span style="color:#ff0000;">*</span></td><td>{{form['defined_pans']}}</td></tr><tr><td>到货时间</td><td>{{form['jobs_pendtime']}}</td></tr><tr><td>备注</td><td>{{form['defined_remarks']}}</td></tr></tbody></table><p><br></p>{{form['jobs_id']}}{{form['jobs_code']}}{{form['jobs_key']}}{{form['jobs_created']}}{{form['jobs_createdby']}}{{form['jobs_updated']}}{{form['jobs_updatedby']}}{{form['jobs_name']}}{{form['jobs_type']}}{{form['jobs_status']}}{{form['jobs_pstarttime']}}{{form['jobs_starttime']}}{{form['jobs_endtime']}}{{form['jobs_parent']}}{{form['defined_id']}}{{form['defined_code']}}{{form['defined_key']}}{{form['defined_jobs_code']}}{{form['defined_cride']}}{{form['defined_unit']}}{{form['defined_purchoseCode']}}<div tabindex="-1" class="tooltip"><div class="tooltip-content">该输入项为必输项</div><div class="tooltip-arrow-outer"></div><div class="tooltip-arrow"></div></div><div tabindex="-1" class="tooltip"><div class="tooltip-content">该输入项为必输项</div><div class="tooltip-arrow-outer"></div><div class="tooltip-arrow"></div></div>{{form['jobs_id']}}{{form['jobs_code']}}{{form['jobs_key']}}{{form['jobs_created']}}{{form['jobs_createdby']}}{{form['jobs_updated']}}{{form['jobs_updatedby']}}{{form['jobs_name']}}{{form['jobs_type']}}{{form['jobs_status']}}{{form['jobs_pstarttime']}}{{form['jobs_starttime']}}{{form['jobs_endtime']}}{{form['jobs_parent']}}{{form['defined_id']}}{{form['defined_code']}}{{form['defined_key']}}{{form['defined_jobs_code']}}{{form['defined_cride']}}{{form['defined_unit']}}{{form['defined_purchoseCode']}}
        {# 自定义流程得提交和脚本 #}
        {% if status is not empty %}
            <span id="status" date={{ status }}></span>
        {% endif %}
        <div id="button">
            {% for index,item in button %}
                <input class="jobs_input" type="button" value="{{ item }}" code="{{ index }}"/>
            {% endfor %}
        </div>
    </form>
</div>
<script>
    $(function () {
        var button = $("div#button input");
        var workflow_code = JIUYANG.GLOBAL.getUrlParam('workflow_code');
        button.each(function () {
            $(this).click(function () {
                var code = $(this).attr("code");
                $("input#next_status").val(code);
                if ($('.system_newStockinModuleV2').length > 0) {
                    var stockinInfo = $('#info').val();
                    if (!stockinInfo) {

                        //弹出提示消息框
                        JIUYANG.GLOBAL.alert("请先保存入库信息","","info",3000,"系统提示");
                        return false;

                    }

                }


                if (workflow_code == "stockouts" ) {

                                    //获取当前状态
                                    if (code == "stockouts-open") {

                                        //获取物料
                                         var g = $('#Material_Name').combogrid('grid');
                                         var r = g.datagrid('getSelected');

                                            if (!r.code) {
                                                return false;
                                            }
                                            var material_code = r.code;


                                            //获取出库数量
                                            if ($('#materialNum').numberbox("getValue")) {

                                                 materialNum = $('#materialNum').numberbox("getValue");

                                            } else {

                                                 materialNum = 0;

                                            }
                                        system_boolean = true;

                                        $.ajax({
                                            url : "/ajax/index",
                                            type : "POST",
                                            async : false,
                                            data : {
                                                postParam:{
                                                     biz : "Jobstockoutapps",
                                                     method : "getInventory",
                                                     params : material_code
                                                }
                                            },
                                            dataType : "JSON",
                                            success : function (result) {
                                                if (result) {
                                                    if (result.code == "0") {
                                                        var totalNum = result.data;

                                                       if (parseInt(parseFloat(materialNum) * 10000) > parseInt(parseFloat(totalNum) * 10000)) {
                                                        system_boolean = false;
                                                        $.messager.alert("提示", "库存不足请先采购，库存数:"+totalNum, "warning");
                                                       return false;
                                                       }
                                                    }
                                                }
                                            }
                                        });

                                        if (!system_boolean) {
                                            return false;
                                        }


                                    }
                                }


                                if ($(".system_newStockoutModuleV2").length > 0) {

                                    var stockOutInfo = $('#system_stinfo').val();

                                    if (!stockOutInfo || stockOutInfo=="" || typeof(stockOutInfo) == "undefined") {
                                        //弹出提示消息框
                                       JIUYANG.GLOBAL.alert("请先保存出库信息组件","","info",3000,"系统提示");
                                       return false;
                                }
                                }

                $.messager.confirm("提示：", "您是否要执行此操作？", function (r) {
                    if (r) {
                        $("#form").submit();
                    }
                })

            });
        });
        $("#form").form({
            success: function (data) {
                var result = eval("(" + data + ")");
                if (result.code > 0) {
                    $.messager.alert("Error", result.message, "error");
                } else {
                    //$.messager.alert("Info", result.message, 'info');
                    JIUYANG.APP.callback = function () {
                        location.href = '/qiyeoa/index/home';
                        //history.go(-1);
                    };
                    $.messager.alert("系统提示", result.message, 'info', JIUYANG.APP.callback);
                    //setTimeout("history.go(-1)",2000);
                    //JIUYANG.GLOBAL.alert(result.message,JIUYANG.APP.callback);
                }
            }
        });
    });
</script>